2017-10-21 23:50 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002371OpenFOAMPatchpublic2017-06-30 12:35
ReporterSvensen 
Assigned Tochris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version14.04
Product Versiondev 
Target VersionFixed in Version 
Summary0002371: Enable Intel compiler for ThirdParty software
DescriptionPatch ensures that Intel compiler is used for ThirdParty software.
Tagscompilation, icc
Attached Files
  • patch file icon enableIntelCompilerForThirdPartySoftware.patch (1,335 bytes) 2016-12-04 22:52 -
    From ace5ecd0da8b4bd36f537a2fa4cab9271c9ecc0f Mon Sep 17 00:00:00 2001
    From: Svensen <ssindeev@yandex.ru>
    Date: Sun, 4 Dec 2016 23:42:46 +0100
    Subject: [PATCH] enable Intel compiler for ThirdParty software
    
    ---
     etc/config.csh/settings | 5 +++++
     etc/config.sh/compiler  | 5 +++++
     2 files changed, 10 insertions(+)
    
    diff --git a/etc/config.csh/settings b/etc/config.csh/settings
    index aa8243d..d9c09dc 100644
    --- a/etc/config.csh/settings
    +++ b/etc/config.csh/settings
    @@ -246,6 +246,11 @@ case ThirdParty:
             setenv WM_CXX 'clang++'
             set clang_version=llvm-3.7.0
             breaksw
    +    case Icc:
    +        # Using Intel compiler
    +        setenv WM_CC 'icc'
    +        setenv WM_CXX 'icpc'
    +        breaksw
         default:
             echo
             echo "Warning in $WM_PROJECT_DIR/etc/config.csh/settings:"
    diff --git a/etc/config.sh/compiler b/etc/config.sh/compiler
    index 9042a5f..8bfc0c9 100644
    --- a/etc/config.sh/compiler
    +++ b/etc/config.sh/compiler
    @@ -63,6 +63,11 @@ OpenFOAM | ThirdParty)
             export WM_CXX='clang++'
             clang_version=llvm-3.7.0
             ;;
    +    Icc)
    +        # Ensuring that 3rd software uses the Icc compilers
    +        export WM_CC='icc'
    +        export WM_CXX='icpc'
    +        ;;
         *)
             echo 1>&2
             echo "Warning in $WM_PROJECT_DIR/etc/config.sh/compiler:" 1>&2
    -- 
    1.9.1
    
    
    patch file icon enableIntelCompilerForThirdPartySoftware.patch (1,335 bytes) 2016-12-04 22:52 +

-Relationships
related to 0002429closedchris ThirdParty scotch compile script 
+Relationships

-Notes

~0007402

wyldckat (updater)

@Svensen: Please see issue #1232: http://www.openfoam.org/mantisbt/view.php?id=1232 - specifically comment #5932: http://bugs.openfoam.org/view.php?id=1232#c5932

Keep in mind that OpenFOAM is being used in a lot more platforms, not just traditional x86/x86_64 architectures. Nonetheless, if you have access to all of the other supported platforms and can test in all of them, please let us know!


@Henry: By the way, related to that other issue #1232, I've been discovering through the forums that tcsh is being used in several university clusters. I still haven't found out the reason as to why they do it like that, but at least 'bash' or some other 'sh' is installed in them. My guess is that they don't want people to go into the cluster _head first_ without thinking what they are doing?!

~0007403

henry (manager)

There have been problems compiling ThirdParty software with icpc in the past which is why we left the default to use the system compiler for these packages. If icpc can now reliable compile OpenFOAM and all the ThirdParty packages it would be OK to set WM_CC and WM_CXX in the same manner as for Clang provided the standard gcc/g++ options are applicable, otherwise WM_CFLAGS, WM_CXXFLAGS etc. will also need to be set.

~0007405

Svensen (reporter)

I've tried to compile ThirdParty software with the Intel compiler. It is OK for all packages, except Paraview. You can look on my last bug report on Intel's forum: https://software.intel.com/en-us/forums/intel-c-compiler/topic/702934

The current temporary solution was proposed like:
"Currently, I have no success with 2017. It is compiled with Intel compiler 2016u1 without any problem. So, downgrading to earlier version of the Intel compiler will solve the problem."

~0007406

henry (manager)

Several people have had problems compiling OpenFOAM with icpc-17 due to bugs in the compiler which have now been fixed. Given that icpc-17 is the current release it would be unwise of us to make this the default compiler for compiling ThirdParty until it can reliable compile all ThirdParty software including ParaView.

Please let us know when the issues with icpc-17 have been fixed and a patched version released which can compile OpenFOAM and ParaView.

~0007680

Svensen (reporter)

My merge request was applied for Paraview (master branch) - https://gitlab.kitware.com/paraview/paraview/merge_requests/1232

This merge fixes a crash of Intel compiler. So the next release of Paraview will be at the beginning of February.

I don't know when this new release of Paraview will be included in the ThirdParty by OpenFOAM maintainers... But after this we can apply the patch, proposed above by me.

~0007681

henry (manager)

What is the advantage in using the Intel compiler for ParaView? Do you notice any speed improvement? What about for the other ThirdParty packages?

~0007682

Svensen (reporter)

I will test it and will report the results

~0008309

chris (manager)

No feedback from reporter
+Notes

-Issue History
Date Modified Username Field Change
2016-12-04 22:52 Svensen New Issue
2016-12-04 22:52 Svensen File Added: enableIntelCompilerForThirdPartySoftware.patch
2016-12-04 22:52 Svensen Tag Attached: compilation
2016-12-04 22:52 Svensen Tag Attached: icc
2016-12-04 23:10 wyldckat Note Added: 0007402
2016-12-05 08:28 henry Note Added: 0007403
2016-12-05 09:43 Svensen Note Added: 0007405
2016-12-05 09:54 henry Note Added: 0007406
2017-01-11 14:05 wyldckat Relationship added related to 0002429
2017-01-26 20:37 Svensen Note Added: 0007680
2017-01-26 20:54 henry Note Added: 0007681
2017-01-26 20:59 Svensen Note Added: 0007682
2017-06-30 12:35 chris Assigned To => chris
2017-06-30 12:35 chris Status new => closed
2017-06-30 12:35 chris Resolution open => fixed
2017-06-30 12:35 chris Note Added: 0008309
+Issue History